<script setup>
import { UpdatePage } from '@/app/core/pages/crud';
import model from '@/modules/shop/models/shop';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Buttons from '@/app/components/crud/form/_Buttons.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    data() {
        return new UpdatePage({
            context: this,
            title: this.__('Редактирование'),
            titleField: 'name',
            breadcrumbs: [
                {
                    label: this.__('Магазины'),
                    path: 'shop/shop',
                },
            ],
            model: model,
            http: {
                method: 'PATCH',
                path: 'shop/shop/:id',
                query: {
                    'with[0]': 'agent',
                    'with[1]': 'city.region',
                    'with[2]': 'company',
                    'with[3]': 'suppliers',
                    'with[4]': 'contacts',
                    'with[5]': 'brands',
                },
            },
            redirectPath: 'shop/shop',
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
        <Buttons />
    </PageTitle>

    <Item child="form" />
</template>
